Loading...
Searching...
No Matches
AVVAAPIFramesContext Struct Reference

VAAPI-specific data associated with a frame pool. More...

`#include <libavutil/hwcontext_vaapi.h>`

## Data Fields

VASurfaceAttrib * | attributes
| Set by the user to apply surface attributes to all surfaces in the frame pool.
int | nb_attributes
VASurfaceID * | surface_ids
| The surfaces IDs of all surfaces in the pool after creation.
int | nb_surfaces

## Detailed Description

VAAPI-specific data associated with a frame pool.

Allocated as AVHWFramesContext.hwctx.

Definition at line 88 of file hwcontext_vaapi.h.

## Field Documentation

## attributes

VASurfaceAttrib* AVVAAPIFramesContext::attributes

Set by the user to apply surface attributes to all surfaces in the frame pool.

If null, default settings are used.

Definition at line 93 of file hwcontext_vaapi.h.

## nb_attributes

int AVVAAPIFramesContext::nb_attributes

Definition at line 94 of file hwcontext_vaapi.h.

## surface_ids

VASurfaceID* AVVAAPIFramesContext::surface_ids

The surfaces IDs of all surfaces in the pool after creation.

Only valid if AVHWFramesContext.initial_pool_size was positive. These are intended to be used as the render_targets arguments to vaCreateContext().

Definition at line 101 of file hwcontext_vaapi.h.

## nb_surfaces

int AVVAAPIFramesContext::nb_surfaces

Definition at line 102 of file hwcontext_vaapi.h.

The documentation for this struct was generated from the following file:

- libavutil/hwcontext_vaapi.h